Subject: bug#76445: 31.0.50; `eww' makes display property sticky

From: Manuel Giraud <[email-masked]>
Date: Sat, 22 Feb 2025 15:38:07 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Monnier <[email-masked]>
>> Cc: Manuel Giraud <[email-masked]>,  [email-masked]
>> Date: Fri, 21 Feb 2025 08:51:41 -0500
>> 
>> > Could you see if making this part in eww-mode:
>> >
>> >   (setq text-property-default-nonsticky '((face . t) (eww-form . t)
>> >                                           (field . t))))
>> >
>> > set only the buffer-local value of text-property-default-nonsticky
>> > solves the problem without any regressions in eww-mode itself?
>> >
>> > Stefan, does it make sense to have this variable _not_ be buffer-local
>> > when set?
>> 
>> I don't think I have more expertise than others in this area, but yes it
>> would make sense for this var to be auto-buffer-local.  It's dangerous
>> to change its global value, so it makes sense to do it only in response
>> to `setq-default`.
>
> Agreed.  So the changes below should fix this problem without any
> changes in eww.el.  Manuel, could you please verify that?  It seems to
> work here.

I have tested it on current master (702cb123faf) and it works as
expected.  Thanks.
-- 
Manuel Giraud